Skip to main content
PUT
/
packages
/
update
/
{package_id}
Update Package
curl --request PUT \
  --url https://api.swoogo.com/api/v1/packages/update/{package_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data admin_short_name= \
  --data capacity= \
  --data 'name=Updated Package Name' \
  --data public_short_name=
{
  "admin_short_name": "",
  "capacity": "",
  "created_at": "2023-05-17 10:35:05",
  "description": null,
  "id": 22,
  "max_group_size": null,
  "min_group_size": null,
  "name": "Updated Package Name",
  "public_short_name": "",
  "sold_out_message": "Sold Out",
  "updated_at": "2023-05-17 10:46:19"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

package_id
integer
required

integer - required - The ID of the package you want to update

Example:

1

Body

application/x-www-form-urlencoded
admin_short_name
string
Example:

""

capacity
string
Example:

""

name
string
Example:

"Updated Package Name"

public_short_name
string
Example:

""

Response

Update A Package

admin_short_name
string
Example:

""

capacity
string
Example:

""

created_at
string
Example:

"2023-05-17 10:35:05"

description
unknown
id
number
Example:

22

max_group_size
unknown
min_group_size
unknown
name
string
Example:

"Updated Package Name"

public_short_name
string
Example:

""

sold_out_message
string
Example:

"Sold Out"

updated_at
string
Example:

"2023-05-17 10:46:19"